Get all records with paging
GET
/openapi/task/paged
const url = 'https://open-api.replyco.com/openapi/task/paged?page=1&count=10&asc=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://open-api.replyco.com/openapi/task/paged?page=1&count=10&asc=true' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer format: int32
Page number, default = 1
count
integer format: int32
Amount of elements per page, default = 10
term
string
Search text in main model fields
sort
string
Name of field to sort by
asc
boolean
True if ascending sort, false if descending, default - true
Responses
Section titled “Responses”OK
Media typeapplication/json
object
totalRecords
integer format: int32
pageSize
integer format: int32
pagesCount
integer format: int32
currentPage
integer format: int32
data
Array<object>
object
id
string format: uuid
status
integer format: int32
threadId
string format: uuid
username
string
Example
{ "data": [ { "status": "0 - NotSet" } ]}Unauthorized